/*
Input: Leggere da tastiera una sequenza di interi. Il primo di 
questi indica quanti interi compongono la sequenza, il resto 
sono immessi in un array allocato dinamicamente con malloc 
Output: m x\n
dove m è la media degli interi e x è il numero di interi uguali a m.
*/

#include <stdio.h>
#include <stdlib.h>

int main()
{
	int i, n, somma = 0;
	printf("Quanti interi vuoi inserire?\n");
	scanf("%d", &n);
	
	int *a = malloc(n * sizeof(int));
	
	// controlliamo
	if (a == NULL) { 
		printf("Non posso allocare %d interi\n",n);
		exit(1); // esce con un errore
	}
	
	printf("Inserisci %d interi:\n", n);
	for(i=0;i<n;i++){
		scanf("%d", &a[i]);
		somma += a[i];
	}

	//calcolo la media
	int m = somma / n;
	
	//conto le occorrenze
	int x = 0;
	for(i=0;i<n;i++)
		if (a[i] == m) x++;
	
	printf("%d %d\n", m, x);
	
	
}